server:
  port: 8082
spring:
  config:
    import:
      - classpath:tongue-image-check-rules.yml
  datasource:
    dynamic:
      primary: tongue
      datasource:
        tongue:
          url: jdbc:mysql://8.136.61.90:3307/tongue?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true&rewriteBatchedStatements=true&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true
          username: tongue
          password: YpRKBHiFjspCst5K
          driver-class-name: com.mysql.cj.jdbc.Driver

# MinIO配置
minio:
  endpoint: http://localhost:9000
  access-key: emoonai
  secret-key: emoon.COM3
  bucket-name: emoon-tongue

mybatis-plus:
  mapperPackage: com.emoon.tongue.mapper

weaviate:
  protocol: http
  host: 8.136.61.90
  port: 6039
  className: LocalKnowledge

--- # redis 单机配置(单机与集群只能开启一个另一个需要注释掉)
spring.data:
  redis:
    # 地址
    host: 8.136.61.90
    # 端口，默认为6379
    port: 6380
    # 数据库索引
    database: 0
    # redis 密码必须配置
    password: HE2WrbSzY7tjHfWj;
    # 连接超时时间
    timeout: 10s
    # 是否开启ssl
    ssl.enabled: false

# redisson 配置
redisson:
  # redis key前缀
  keyPrefix: "tongue:"
  # 线程池数量
  threads: 4
  # Netty线程池数量
  nettyThreads: 8
  # 单节点配置
  singleServerConfig:
    # 客户端名称 不能用中文
    clientName: tongue
    # 最小空闲连接数
    connectionMinimumIdleSize: 8
    # 连接池大小
    connectionPoolSize: 32
    # 连接空闲超时，单位：毫秒
    idleConnectionTimeout: 10000
    # 命令等待超时，单位：毫秒
    timeout: 3000
    # 发布和订阅连接池大小
    subscriptionConnectionPoolSize: 50

mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
